/*
2023-01-06
Michael Nowak
http://www.mino-elektronik.de
Alle Angaben ohne Gewaehr !
*/

#ifndef PICO_FMETER_H
#define PICO_FMETER_H

#define BIT(x) (1<<x)

#define DEF_SYSCLOCK     150000000  // default
#define MHZ_12            12000000  // default
#define MHZ_10            10000000  // TCXO or ext. clock

#define MHZ_FAKTOR        1000000   // 1e6
#define MS_TEILER         1000      // us -> ms

#define PIO_TIME_DIV      4         // PIO-divider

#define REF_DIV           2         // PLL-Schrittweite 6 MHZ @ 12 MHz bzw. 5 MHz @ 10 MHz
#define PLL_DIV1          5         // force high F_vco
#define PLL_DIV2          2         // default = 2; 1 => turbo-mode

#define F1_TIMER          7
#define REG_TIMER         6

#define TYP_LED_ZEIT      50        // 50 ms

#define FIN1_PIN          18        // PIO-Input
#define FIN1H_PIN         16        // PIO-Input
#define FREF_PIN          19        // PIO-Input
#define FPRESC_PIN        17        // PWM0B input
#define LOCAL_LED         25        // on board
#define GPS_LED           14        // extern
#define EXT_LED           15        // extern

#define ADC_MAX           4095
#define ADC_FILTER        30        // ext. R-trimm

#define DEF_BAUDRATE      115200

#endif